Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
Chutuyen

các bác đi trước bớt chút thời gian check cho em đoạn lisp này cái

Các bài được khuyến nghị

Chutuyen    3

em mới học lisp tự làm cái lệnh Align mà k0 biet tại sao nó k0 chạy dk, nhờ các b xem tại sao cái...
(defun C:XO ()
(setq pt1 (getpoint "\nDiem dau : "))
(setq pt2 (getpoint "\nDiem cuoi : "))
(command "align" 'pt1 (0 0) pt2 (1 0))
(princ)
)
ý tưởng là vừa xoay vừa di chuyển đoạn thẳng pt1 pt2 // ox và pt1 về góc (0 0)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

em mới học lisp tự làm cái lệnh Align mà k0 biet tại sao nó k0 chạy dk, nhờ các b xem tại sao cái...

(defun C:XO ()

(setq pt1 (getpoint "\nDiem dau : "))

(setq pt2 (getpoint "\nDiem cuoi : "))

(command "align" 'pt1 (0 0) pt2 (1 0))

(princ)

)

ý tưởng là vừa xoay vừa di chuyển đoạn thẳng pt1 pt2 // ox và pt1 về góc (0 0)

Hề hề hề,

 lisp  không hiểu cái hàm (0 0) và (1 0) là cái chi chi??? Vả lại align mà không chọn đối tượng thì nó biết align cái chi ???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chutuyen    3

Hề hề hề,

 lisp  không hiểu cái hàm (0 0) và (1 0) là cái chi chi??? Vả lại align mà không chọn đối tượng thì nó biết align cái chi ???

ồ e tưởng (0 0) hay (1 0) là những điểm dk chọn và tọa độ pt1 và pt2 lấy ở trên theo thư tụ lệnh Align thì là thế mong b chỉ bảo thêm?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

ồ e tưởng (0 0) hay (1 0) là những điểm dk chọn và tọa độ pt1 và pt2 lấy ở trên theo thư tụ lệnh Align thì là thế mong b chỉ bảo thêm?

Hề hề hề,

Để lisp hiểu cái (0 0) và cái (1 0) là danh sách tọa độ của các điểm bạn cần có dấu "quote" phía trước hoặc viết cụ thể là (list 0 0) (list 1 0)

Để hàm command align chạy được bạn cần phải chọn đối tượng rồi mới align nó chớ.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.680

Vừa Rotate vừa Move thì dùng lệnh MOROCO đi. Lisp làm những công việc nhỏ nhặt thế thì chỉ mất công viết và mất công sử dụng.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

e đang học làm lisp ma bác xem e sai cho nào vậy.hic

Hề hề hề,

Cái chỗ chưa đúng đã chỉ rồi mà. Bạn đã sửa chưa??? Sửa xong thì thấy nó ra giăng hay ra sao ???

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×